Bug 111206 - XFree86 reduced resolution prob. after RHN up2date
XFree86 reduced resolution prob. after RHN up2date
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-29 21:37 EST by Normand Robert
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 04:32:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gzipped tarfile of the requested files (10.63 KB, application/octet-stream)
2003-12-04 15:13 EST, David Alden
no flags Details
XF86Config (3.08 KB, text/plain)
2003-12-04 19:53 EST, David Alden
no flags Details
XFree86.0.log (46.85 KB, text/plain)
2003-12-04 19:54 EST, David Alden
no flags Details
messages (2.39 KB, text/plain)
2003-12-04 19:55 EST, David Alden
no flags Details
lspci (2.47 KB, text/plain)
2003-12-04 19:55 EST, David Alden
no flags Details

  None (edit)
Description Normand Robert 2003-11-29 21:37:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.5b)
Gecko/20030827

Description of problem:
I updated my system via RHN ~ 4 days ago which has been running fine
since installation 4 months ago. Today, I rebooted the system and it
now runs at a reduced resolution of 600x480. The screen acts as a
window to a larger virtual desktop having a resolution equal to the
original resolution I had be before the update.

Attempts to change the resolution using the "Display" utility under
the s"System Parameters" menu only affects the size of the virtual
desktop not the number of pixels pushed to the screen

Monitor:Viewsonic G790-2
Vide card: ATI Radeon 7000 64 MB

Pls note that up2date resulted in the updating of other packages as
well. I am assuming that it is an XFree86 problem which seems
reasonable. Regression ?

Version-Release number of selected component (if applicable):
XFree86**4.3.0-2.90.43.rpm  

How reproducible:
Always

Steps to Reproduce:
1.Update system via RHN which includes recent XFree86 patches
2.Reboot
3.
    

Actual Results:  System runs at reduced resolution 600x480. Increasing
resolution only increase the size of the virtual desktop.

Expected Results:  System behaviour to remain unchanged after
installation of erratas via up2date

Additional info:

I will try to return to original rpm's for XFree86. 

I will retrieve an XFree86Config file from an identical system in an
other location.
Comment 1 Normand Robert 2003-11-30 18:25:04 EST
Problem was solved by downgrading back to the original RH9 XFree86
rpms scattered across the 3 shrike-i386-disc[1-3].iso  CD's


Workaround ( I am no RPM expert so this may be cumbersone):

1) I brought the system down to single user mode via "shutdown now"

2) I removed all of the XFree86* rpms with the --nodeps option.

3) I gathered all of the rpms from the iso's and installed them

4) exited single user shell to return to multi user mode 5 with
graphical login.

5) Fixed!
Comment 2 Mike A. Harris 2003-12-01 13:47:20 EST
Are you saying you're happy with the workaround of downgrading,
and are no longer interested in tracking the problem?
Please clarify.

If you do still wish this problem to be tracked and investigated,
please reinstall the updated XFree86 packages, rerun the following
command:  redhat-config-xfree86 --reconfig

Then after reproducing the problem again that you've reported above,
attach the X server log file, config file, /var/log/messages file,
and the output of "lspci -vn" all from the running X server.  I
may need you to perform additional tests, so I highly recommend
not downgrading back to the original one again in order to
minimize efforts in troubleshooting.
Comment 3 David Alden 2003-12-04 15:13:24 EST
Created attachment 96351 [details]
gzipped tarfile of the requested files

Hi,
  Here's a me too.  This has occurred on all of our ATI Radeon 7000 video
cards.
I've attached a gzipped tarfile of the requested files.  Let me know if you
need
anything else.
...dave
Comment 4 Normand Robert 2003-12-04 15:28:46 EST
Thanks David.. I was going to honour Mike's request on the weekend. At
least we know the problem isn't an isolated fluke anymore. Mike do you
need me to upgrade again so I can send you something?
Comment 5 Mike A. Harris 2003-12-04 17:22:09 EST
David)

File attachments need to be web browser viewable, please reattach
the files as individual uncompressed attachments, so they can be
clicked on in mozilla and easily viewed.

Thanks in advance.


Normand) If David's problem is identical, then his files should
be sufficient for me to see the info I need, so no need for you
to upgrade again just yet.  Once I have time to look at the new
attachments, and do a preliminary investigation, if I need more
info from you guys, I'll make a new request.  I'll try to reproduce
before that first though.

Comment 6 David Alden 2003-12-04 19:53:30 EST
Created attachment 96359 [details]
XF86Config
Comment 7 David Alden 2003-12-04 19:54:39 EST
Created attachment 96360 [details]
XFree86.0.log
Comment 8 David Alden 2003-12-04 19:55:01 EST
Created attachment 96361 [details]
messages
Comment 9 David Alden 2003-12-04 19:55:23 EST
Created attachment 96362 [details]
lspci
Comment 10 David Alden 2003-12-04 19:56:28 EST
Hi,
  There you go -- sorry about that.
...dave
Comment 11 David Alden 2003-12-04 19:58:51 EST
Hi,
  Sorry - one more piece of info.  This is only affecting our ATI
Radeon 7000 cards (we have 5 of these) -- we have at least one
other ATI Radeon (sorry, don't have the model number in front of
me) that is working just fine.
...dave
Comment 15 Mike A. Harris 2005-02-01 04:32:11 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.